Package org.eclipse.birt.report.engine.api

# Interface IReportRunnable

All Superinterfaces:
  `IRunnable`

public interface IReportRunnable extends IRunnable
A runnable report design (i.e., not modifiable) that can be run in the BIRT engine

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTHOR`
`static final String`
`BASE_PROP`
`static final String`
`COMMENTS`
`static final String`
`CREATEDBY`
`static final String`
`DESCRIPTION`
`static final String`
`HELP_GUIDE`
`static final String`
`REFRESH_RATE`
`static final String`
`TITLE`
`static final String`
`UNITS`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.birt.report.model.api.DesignElementHandle`
`getDesignHandle()`
returns the design element handle that design engine creates when opening the report
`org.eclipse.birt.report.engine.api.script.element.IReportDesign`
`getDesignInstance()`
Returns the report design
`IImage`
`getImage(String name)`
returns an image stored in a report design file, or null if the image name does not exist
`Object`
`getProperty(String propertyName)`
returns the property value for things like report description, title, etc.
`Object`
`getProperty(String path, String propertyName)`
Deprecated.
this method is never used ,suggest use Model API to access all properties on elements.
`IReportEngine`
`getReportEngine()`
returns the report engine
`String`
`getReportName()`
returns report name
`HashMap`
`getTestConfig()`
returns test configuration for the report
`void`
`setDesignHandle(org.eclipse.birt.report.model.api.DesignElementHandle handle)`
sets a new report design handle before rendering the report

## Field Details

### TITLE

static final String TITLE

See Also:
  - Constant Field Values

### AUTHOR

static final String AUTHOR

See Also:
  - Constant Field Values

### DESCRIPTION

static final String DESCRIPTION

See Also:
  - Constant Field Values

### COMMENTS

static final String COMMENTS

See Also:
  - Constant Field Values

### CREATEDBY

static final String CREATEDBY

See Also:
  - Constant Field Values

### HELP_GUIDE

static final String HELP_GUIDE

See Also:
  - Constant Field Values

### BASE_PROP

static final String BASE_PROP

See Also:
  - Constant Field Values

### UNITS

static final String UNITS

See Also:
  - Constant Field Values

### REFRESH_RATE

static final String REFRESH_RATE

See Also:
  - Constant Field Values

## Method Details

### getImage

IImage getImage(String name)
returns an image stored in a report design file, or null if the image name does not exist

Parameters:
  `name` - the image name for the embedded image

### getProperty

Object getProperty(String propertyName)
returns the property value for things like report description, title, etc.

Parameters:
  `propertyName` - the name of the property
Returns:
  the property value for things like report description, title, etc.

### getProperty

@Deprecated Object getProperty(String path, String propertyName)
Deprecated.
this method is never used ,suggest use Model API to access all properties on elements.
returns the property value defined on a components in a report design. For example, getProperty("/dataSets/dsName", "url") will return the url value for a data set with name dsName.

Parameters:
  `path` - a simplified XPath that allows access to properties for components in a report design. Only downward path is allowed, i.e., no .. in the path.
  `propertyName` - the name of the property
Returns:
  the property value for things like report description, title, etc.

### getDesignHandle

org.eclipse.birt.report.model.api.DesignElementHandle getDesignHandle()
returns the design element handle that design engine creates when opening the report

Returns:
  the design element handle that design engine creates when opening the report

### setDesignHandle

void setDesignHandle(org.eclipse.birt.report.model.api.DesignElementHandle handle)
sets a new report design handle before rendering the report

Parameters:
  `handle` - a new report design handle

### getReportName

String getReportName()
returns report name

Returns:
  the name of the report

### getTestConfig

HashMap getTestConfig()
returns test configuration for the report

Returns:
  test configurations for the report

### getReportEngine

IReportEngine getReportEngine()
returns the report engine

Returns:
  the report engine

### getDesignInstance

org.eclipse.birt.report.engine.api.script.element.IReportDesign getDesignInstance()
Returns the report design

Returns:
  the report design